Events

GET /events

View events. Requires events.read permission.

Query parameters

Name Type Required Description
search string no Search by event title
with[] string[] no Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: createdBy, updatedBy, organization, site, order, exceptions, assignments.
orderBy string no Field to order by One of: id, title, start, createdAt, updatedAt.
order string no Specifies in what direction the results should be ordered (ASC/DESC) One of: asc, desc.
count integer no Specifies the number of results to show per page of paginated results (1-500)

Responses

Status Description
200 A paginated response of events

Response 200 body

  • data object[] · required
  • links object · required
  • meta object · required
{
    "data": [
        {
            "data": {
                "id": "string",
                "allDay": false,
                "confirmedAt": "string",
                "confirmedBy": {
                    "id": "019222d9-d87d-7724-bba6-ba91503ea311",
                    "firstName": "John",
                    "lastName": "Doe"
                },
                "createdAt": "2024-06-30T19:00:00Z",
                "createdBy": {
                    "id": "019222d9-d87d-7724-bba6-ba91503ea311",
                    "firstName": "John",
                    "lastName": "Doe"
                },
                "description": "string",
                "durationMinutes": 0,
                "orderId": "string",
                "organization": {
                    "id": "019222d9-d87d-7724-bba6-ba91503ea311",
                    "name": "ACME Corporation"
                },
                "recurring": false,
                "rrule": "string",
                "site": {
                    "id": "019222d9-d87d-7724-bba6-ba91503ea311",
                    "name": "Stockholm Office"
                },
                "start": "string",
                "status": "draft",
                "title": "string",
                "type": "scheduled_work",
                "until": "string",
                "updatedAt": "2024-06-30T19:00:00Z",
                "updatedBy": {
                    "id": "019222d9-d87d-7724-bba6-ba91503ea311",
                    "firstName": "John",
                    "lastName": "Doe"
                }
            },
            "meta": {
                "requestId": "019a3a60-6328-7075-8a41-76ff545ca5d3",
                "userId": "019a3a60-929c-7820-9b35-bf79a8bf83a6",
                "organizationId": "019a3a60-8175-7a68-88da-ecb4a7040b86"
            }
        }
    ],
    "links": {
        "first": "https://api.safesites.app/sites?page=1",
        "last": "https://api.safesites.app/sites?page=10",
        "prev": null,
        "next": "https://api.safesites.app/sites?page=2"
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 10,
        "links": [
            {
                "url": "https://api.safesites.app/sites?page=2",
                "label": "Next",
                "active": true
            }
        ],
        "path": "https://api.safesites.app/sites",
        "per_page": 100,
        "to": 100,
        "total": 1000,
        "userId": "01930a9b-7b61-79a5-9ba2-78f0b4b2c196",
        "requestId": "01930a9b-8d1f-766f-945c-ef6408134dbc"
    }
}